module SpecTest
  module Platforms
    @@drivers = {}

    def self.list
      @@drivers
    end

    def self.associate(key, driver)
      @@drivers[key] = driver
    end

    def platform_for(browser, drivers)
      drivers.each_value { |driver|
        return driver.create_platform_object_for browser if driver.works_for? browser
      }
      raise "Unable to associate a platform using the provided browser."
    end
  end
end

require "spectest/platform_watir"
require "spectest/platform_selenium"