module SpecTest
  module WebObjects
    class Button < WebObject

      def initialize(web_object, platform)
        @web_object = web_object
        mixin_web_objects_for platform
      end

      protected

      def self.locators_for_watir
        super + [:text, :value]
      end

      def self.locators_for_selenium
        super + [:value]
      end

      def mixin_web_objects_for(platform)
        super
        if platform[:platform] == :selenium_webdriver
          require "spectest/platform_selenium/web_objects/button"
          self.class.send :include, SpecTest::Platforms::SeleniumWebDriver::Button
        end
      end

    end # class Button
  end # module WebObjects
end # module SpecTest