module SpecTest
  module WebObjects
    class Link < WebObject

      def initialize(web_object, platform)
        @web_object = web_object
        mixin_web_objects_for platform
      end

      protected

      def self.locators_for_watir
        super + [:href, :text]
      end

      def self.mappings_for_watir
        super.merge({:link => :text, :link_text => :text})
      end

      def self.locators_for_selenium
        super + [:link, :link_text]
      end

      def self.mappings_for_selenium
        super.merge(:text => :link_text)
      end

      def mixin_web_objects_for(platform)
        super
        if platform[:platform] == :selenium_webdriver
          require "spectest/platform_selenium/web_objects/link"
          self.class.send :include, SpecTest::Platforms::SeleniumWebDriver::Link
        end
      end
      
    end # class Link
  end # module WebObjects
end # module SpecTest